﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Hotel_Course_Project
{
    /// <summary>
    /// Логика взаимодействия для OrderChangeOrAddPage.xaml
    /// </summary>
    public partial class OrderChangeOrAddPage : Page
    {
        public OrderChangeOrAddPage(Order order, Staff hostel)
        {
            InitializeComponent();
            SOrderDateStart.Text = DateTime.Now.Date.ToString();
            SOrderDateEnd.DisplayDateStart = DateTime.Now.AddDays(1);
            SOrderDateEnd.DisplayDateEnd = DateTime.Now.AddMonths(12);
            PaySP.Visibility = Visibility.Collapsed;
        }

        private void SClientBtn_Click(object sender, RoutedEventArgs e)
        {
            ClientAddOnOrderWindow clientAddOnOrder = new ClientAddOnOrderWindow();
            clientAddOnOrder.ShowDialog();
            if(clientAddOnOrder.DialogResult == true)
            {
                SClient.Text = "" + Helper.SelectedClientOnOrder.LName + " " + Helper.SelectedClientOnOrder.FName[0] + ".";
                if (Helper.SelectedClientOnOrder.MName != null)
                {
                    SClient.Text += Helper.SelectedClientOnOrder.MName[0] + ".";
                }
                SClientBtn.Content = "Изменить";
                SClientBtn.HorizontalAlignment = HorizontalAlignment.Right;
                SClientBtn.VerticalAlignment = VerticalAlignment.Center;
            }
            else
            {
                SClientBtn.Content = "Добавить";
                SClient.Text = String.Empty;
                SClientBtn.HorizontalAlignment = HorizontalAlignment.Stretch;
                SClientBtn.VerticalAlignment = VerticalAlignment.Stretch;
            }
        }
        private void SRoomBtn_Click(object sender, RoutedEventArgs e)
        {
            RoomAddOnOrderWindow roomAddOnOrder = new RoomAddOnOrderWindow();
            roomAddOnOrder.ShowDialog();
            if(roomAddOnOrder.DialogResult == true)
            {
                SRoom.Text = "№" + Helper.SelectedRoomOnOrder.NumRoom + " дневная оплата: " + Helper.SelectedRoomOnOrder.CostPerDay;
                SRoomBtn.Content = "Изменить";
                SRoomBtn.HorizontalAlignment = HorizontalAlignment.Right;
                SRoomBtn.VerticalAlignment = VerticalAlignment.Center;
            }
            else
            {
                SRoomBtn.Content = "Изменить";
                SRoomBtn.HorizontalAlignment = HorizontalAlignment.Stretch;
                SRoomBtn.VerticalAlignment = VerticalAlignment.Stretch;
                SRoom.Text = String.Empty;
            }
        }

        private void PayMakeBtn_Click(object sender, RoutedEventArgs e)
        {
            if(SOrderDateEnd.SelectedDate == null)
            {
                MessageBox.Show("ВЫберите конец периода съёма комнаты");
            }
            else
            {

            }
        }

        private void AddOrChangeBtn_Click(object sender, RoutedEventArgs e)
        {

        }

        private void CancelOrderBtn_Click(object sender, RoutedEventArgs e)
        {

        }

    }
}
