﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Hotel_Course_Project
{
    /// <summary>
    /// Логика взаимодействия для RoomAddOnOrderWindow.xaml
    /// </summary>
    public partial class RoomAddOnOrderWindow : Window
    {
        public RoomAddOnOrderWindow()
        {
            InitializeComponent();
            RoomList.ItemsSource = DataBase.db.Room.Where(item => item.Id_RoomStatus == 1);
        }

        private void BackBtn_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }

        private void SelectRoomBtn_Click(object sender, RoutedEventArgs e)
        {
            Room room = (sender as Button).DataContext as Room;
            Helper.SelectedRoomOnOrder = room;
            DialogResult = true;
        }
    }
}
